/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of standard which is released under MIT.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, May 2020
 */

'use strict';

const files = require ('./assets');

const scripts = {
  lint:    'eslint . --ext .js,.jsx,.ts,.tsx,.vue,.mjs',
  test:    {
    common:  'nyc jasmine --config="jasmine.json"',
    ts:      'nyc jasmine --config="jasmine.json"',
    ts_pre:  'tsc',
    ts_post: 'tsc --build --clean',
    no:      'echo "no test"'
  },
  compile: {
    common: 'tsc --allowJs --declaration --emitDeclarationOnly index.js',
    ts:     'tsc'
  }
};

module.exports = { files, scripts };
